#ifndef __COROUTINE_HPP__
#define __COROUTINE_HPP__

#if defined(__clang__) && __clang__
#include <experimental/coroutine>
namespace typon
{

  using std::experimental::coroutine_handle;
  using std::experimental::suspend_always;
  using std::experimental::suspend_never;
  using std::experimental::noop_coroutine;

}
#elif defined(__GNUC__) && __GNUC__
#include <coroutine>
namespace typon
{

  using std::coroutine_handle;
  using std::suspend_always;
  using std::suspend_never;
  using std::noop_coroutine;

}
#endif

#endif // __COROUTINE_HPP__
